//*****************************************
// AT mega328P-PU(28pin 300mil SDIP) Fifteen IN-17 Clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:nixie.h
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//*****************************************

#define	KETA_MAX		16				// ̋@̌iۂ͂PTPU̕l₷j
#define	KETA_SEL_MAX	8				// ̋@̌IR[h̍őliO炱̒l܂łőIB̒l̓Řj
#define	PATH_MAX		4				// _Ci~bN\1̃JEgii̒l{PjTOOrP̎ԂɂȂj


extern	unsigned char	nixe_active;
extern	unsigned char	path_limit;

extern	void	init_nixe(void);
extern	void	proc_dynamic_nixie(void);
extern	void	dynamic_nixie_active(unsigned char on);
extern	void	disp_nixie_full(char *cp);
extern	void	disp_nixie_number(char *cp);
extern	void	disp_dynamic_nixie_number(unsigned char k, unsigned char n);
extern	void	disp_dynamic_nixie_clear(void);
extern	void	disp_dynamic_colon(unsigned char d);
extern	void	disp_dynamic_ym_colon(unsigned char d);
extern	void	disp_dynamic_md_colon(unsigned char d);
extern	void	disp_dynamic_dh_colon(unsigned char d);
extern	void	disp_dynamic_hm_colon(unsigned char d);
extern	void	disp_dynamic_w_colon(unsigned char d);
extern	void	disp_dynamic_ms_colon(unsigned char d);

extern	void	disp_static_nixie_number(unsigned char k, unsigned char n);
extern	void	disp_static_colon(unsigned char d);
extern	void	disp_static_ym_colon(unsigned char d);
extern	void	disp_static_md_colon(unsigned char d);
extern	void	disp_static_dh_colon(unsigned char d);
extern	void	disp_static_hm_colon(unsigned char d);
extern	void	disp_static_w_colon(unsigned char d);
extern	void	disp_static_ms_colon(unsigned char d);
